Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MatchFieldDef.StandardizationConfig.StandardizeSystemObject

    java.lang.Object
      com.sun.mdm.index.parser.MatchFieldDef.StandardizationConfig.StandardizeSystemObject

Enclosing class:
  MatchFieldDef.StandardizationConfig

class MatchFieldDef.StandardizationConfig.StandardizeSystemObject
extends java.lang.Object

Field Summary
`(package private) java.util.ArrayList` | `alFreeFormGroups`
`(package private) java.util.ArrayList` | `alNormalizationGroups`
`(package private) java.util.ArrayList` | `alPhoneticizeFields`
`(package private) java.lang.String` | `systemObjectName`

Constructor Summary
`(package private)` | `MatchFieldDef.StandardizationConfig.StandardizeSystemObject()`

Method Summary
`(package private) void` | `addPhoneticizedField(java.lang.String sourceFieldName, java.lang.String targetFieldId, java.lang.String encodingType)`
`(package private) void` | `addPhoneticizeField(MatchFieldDef.PhoneticizeField phoneticizeField)`
`(package private) MatchFieldDef.PhoneticizeField` | `getPhoneticizedField(java.lang.String sourceFieldName, java.lang.String targetFieldId, java.lang.String encodingType)`
`(package private) java.util.ArrayList` | `getPhoneticizeFields()`
`(package private) void` | `removePhoneticizeField(MatchFieldDef.PhoneticizeField phoneticizeField)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alFreeFormGroups

    java.util.ArrayList alFreeFormGroups

### alNormalizationGroups

    java.util.ArrayList alNormalizationGroups

### alPhoneticizeFields

    java.util.ArrayList alPhoneticizeFields

### systemObjectName

    java.lang.String systemObjectName

Constructor Detail

### MatchFieldDef.StandardizationConfig.StandardizeSystemObject

    MatchFieldDef.StandardizationConfig.StandardizeSystemObject()

Method Detail

### addPhoneticizedField

    void addPhoneticizedField(java.lang.String sourceFieldName,
                              java.lang.String targetFieldId,
                              java.lang.String encodingType)

### addPhoneticizeField

    void addPhoneticizeField(MatchFieldDef.PhoneticizeField phoneticizeField)

### getPhoneticizedField

    MatchFieldDef.PhoneticizeField getPhoneticizedField(java.lang.String sourceFieldName,
                                                        java.lang.String targetFieldId,
                                                        java.lang.String encodingType)

### getPhoneticizeFields

    java.util.ArrayList getPhoneticizeFields()

### removePhoneticizeField

    void removePhoneticizeField(MatchFieldDef.PhoneticizeField phoneticizeField)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.